
Summary:       Horizontal or vertical bar-graph audio levels meter 
Name:          jkmeter
Version:       0.6.1
Release:       4%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png

BuildRequires: desktop-file-utils 
BuildRequires: fftw-devel
BuildRequires: clthreads-devel 
BuildRequires: clxclient-devel
BuildRequires: alsa-lib-devel
BuildRequires: libpng-devel
BuildRequires: libsndfile-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel

%description
%{name} is a horizontal or vertical bar-graph level
meter based on the ideas of mastering guru Bob Katz.
See <http://www.digido.com/bob-katz/index.php> and
follow the links on 'level practices'.

This is the type of meter you want for live recording,
mixing and mastering. It probably makes no sense to
use it on all tracks of a DAW, where keeping digital
level within limits is the main purpose of metering.

%prep
%setup -q
sed -i -e "s|-march=native|%{optflags}|"\
       -e 's|-ffast-math||'  \
       -e 's|/usr/local|/usr|' source/Makefile

%build
cd source 
make %{?_smp_mflags}

%install
cd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Feb 17 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.6.1-4
- Add libsnfile-devel build requires

* Tue Feb 14 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.6.1-3
- Modified desktop source and categories, add icon

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.6.1-2
- Modified to Fedora packaging guidelines

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.6.1-1
- Initial build, originally in Planet CCRMA

